Bug 1251505 - rpmlint produced only-non-binary-in-usr-lib warning for development packages.
rpmlint produced only-non-binary-in-usr-lib warning for development packages.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
24
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 10:26 EDT by artur
Modified: 2016-07-25 14:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-25 14:05:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description artur 2015-08-07 10:26:36 EDT
Description of problem:

rpmlint appears to be interpreting development (-devel) packages incorrectly. It always produces the only-non-binary-in-usr-lib warning, which does not appear to be a valid warning for the development packages. Either that, or many packages in Fedora are a bit broken. 

At least the following binary packages produce this warning. Surely they cannot all be wrong.
cpl-6.4.2-2.fc21.x86_64.rpm
cfitsio-devel-3.370-3.fc21.x86_64.rpm
fftw-devel-3.3.4-5.fc21.x86_64.rpm
gsl-devel-1.16-15.fc21.x86_64.rpm
libpng-devel-1.6.10-3.fc21.x86_64.rpm
perl-devel-5.18.4-308.fc21.x86_64.rpm
wcslib-devel-4.23-3.fc21.x86_64.rpm


Version-Release number of selected component (if applicable):

Fedora 21. But I think this happens on 22 also.


How reproducible:

Always


Steps to Reproduce:
1. Download one of the -devel packages mentioned above. (e.g. cpl-devel-6.4.2-2.fc21.x86_64.rpm)
2. Run the rpmlint command on the package file.


Actual results:

$ rpmlint cpl-devel-6.4.2-2.fc21.x86_64.rpm
cpl-devel.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Expected results:

$ rpmlint cpl-devel-6.4.2-2.fc21.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Fedora End Of Life 2015-11-04 05:05:59 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 artur 2015-11-04 09:12:52 EST
I have just confirmed that this problem still exists with Fedora 22.
Checked with the following packages:
cpl-devel-6.4.2-2.fc22.x86_64.rpm
cfitsio-devel-3.370-3.fc22.x86_64.rpm
fftw-devel-3.3.4-5.fc22.x86_64.rpm
gsl-devel-1.16-16.fc22.x86_64.rpm
libpng-devel-1.6.16-3.fc22.x86_64.rpm
wcslib-devel-4.25.1-1.fc22.x86_64.rpm
perl-devel-5.20.3-328.fc22.x86_64.rpm
Comment 3 Fedora End Of Life 2016-07-19 16:12:11 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Benjamin Gilbert 2016-07-19 20:51:33 EDT
Still present in Fedora 24.  (Tested with libpng-devel-1.6.23-1.fc24.x86_64.rpm.)
Comment 5 Tom "spot" Callaway 2016-07-25 14:05:57 EDT
There's no sensible way to whitelist/blacklist this that I can see. Just bask in the knowledge that you're smarter than the lint tool in this instance. :)

Note You need to log in before you can comment on or make changes to this bug.